Returns whether this is a trait

- « ReflectionClass::isSubclassOf

- ReflectionClass::isUserDefined »

- PHP Manual
- ReflectionClass
- Returns whether this is a trait

# ReflectionClass::isTrait

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

ReflectionClass::isTrait — Returns whether this is a trait

### Description

public ReflectionClass::isTrait(): bool

Check whether this ReflectionClass refers to a trait.

### Parameters

This function has no parameters.

### Return Values

Returns `true` if this is a trait, `false` otherwise.